﻿import sys
import urllib.request, urllib.parse, urllib.error
import urllib.parse
import xbmc
import xbmcgui
import xbmcplugin
import xbmcaddon
import os

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])
args = urllib.parse.parse_qs(sys.argv[2][1:])
addon = xbmcaddon.Addon()

def build_url(query):
    return base_url + '?' + urllib.parse.urlencode(query)

mode = args.get('mode', None)

def menu():

    url = build_url({'mode': 'audiopower'})
    li = xbmcgui.ListItem("Audio Power")
    li.setInfo(type='video', infoLabels={'plot': "Audio Power"})
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)

    url = build_url({'mode': 'videopower'})
    li = xbmcgui.ListItem("Video Power")
    li.setInfo(type='video', infoLabels={'plot': "Video Power"})
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)    

    xbmcplugin.endOfDirectory(addon_handle)

if mode is None:
    menu()    

elif mode[0] == 'audiopower':
    xbmc.executebuiltin('RunScript("special://home/addons/plugin.my.controlpanel/audiopower.py", "-a", "abc", "-x", "xyz")')
    xbmc.executebuiltin('Container.Refresh')

elif mode[0] == 'videopower':
    xbmc.executebuiltin('RunScript("special://home/addons/plugin.my.controlpanel/videopower.py", "-z", "zxy", "-c", "cba")')
    xbmc.executebuiltin('Container.Refresh')